Package commoble.jumbofurnace.recipes

# Class JumboFurnaceRecipe

java.lang.Object
commoble.jumbofurnace.recipes.JumboFurnaceRecipe

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

public class JumboFurnaceRecipe extends Object implements net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>

## Field Summary

Fields
Modifier and Type
Field
Description
`final float`
`experience`
`final String`
`group`
`final net.minecraft.resources.ResourceLocation`
`id`
`final net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient>`
`ingredients`
`final net.minecraft.world.item.ItemStack`
`result`
`final net.minecraft.world.item.crafting.RecipeType<?>`
`type`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceRecipe(net.minecraft.world.item.crafting.RecipeType<?> type, net.minecraft.resources.ResourceLocation id, String group, net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> ingredients, net.minecraft.world.item.ItemStack result, float experience)`
`JumboFurnaceRecipe(net.minecraft.world.item.crafting.SmeltingRecipe baseRecipe)`
Wrapper around regular furnace recipes to make single-input jumbo furnace recipes

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.ItemStack`
`assemble(ClaimableRecipeWrapper inv, net.minecraft.core.RegistryAccess registries)`
`boolean`
`canCraftInDimensions(int width, int height)`
`net.minecraft.resources.ResourceLocation`
`getId()`
`net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient>`
`getIngredients()`
`net.minecraft.core.NonNullList<net.minecraft.world.item.ItemStack>`
`getRemainingItems(ClaimableRecipeWrapper inv)`
`net.minecraft.world.item.ItemStack`
`getResultItem(net.minecraft.core.RegistryAccess registries)`
`net.minecraft.world.item.crafting.RecipeSerializer<?>`
`getSerializer()`
`int`
`getSpecificity()`
`net.minecraft.world.item.crafting.RecipeType<?>`
`getType()`
`boolean`
`isSpecial()`
`boolean`
`matches(ClaimableRecipeWrapper inv, net.minecraft.world.level.Level worldIn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.item.crafting.Recipe

`getGroup, getToastSymbol, isIncomplete, showNotification`

## Field Details

### type

public final net.minecraft.world.item.crafting.RecipeType<?> type

### id

public final net.minecraft.resources.ResourceLocation id

### group

public final String group

### ingredients

public final net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> ingredients

### result

public final net.minecraft.world.item.ItemStack result

### experience

public final float experience

## Constructor Details

### JumboFurnaceRecipe

public JumboFurnaceRecipe(net.minecraft.world.item.crafting.SmeltingRecipe baseRecipe)
Wrapper around regular furnace recipes to make single-input jumbo furnace recipes

### JumboFurnaceRecipe

public JumboFurnaceRecipe(net.minecraft.world.item.crafting.RecipeType<?> type, net.minecraft.resources.ResourceLocation id, String group, net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> ingredients, net.minecraft.world.item.ItemStack result, float experience)

## Method Details

### getIngredients

public net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> getIngredients()

Specified by:
  `getIngredients` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### matches

public boolean matches(ClaimableRecipeWrapper inv, net.minecraft.world.level.Level worldIn)

Specified by:
  `matches` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### assemble

public net.minecraft.world.item.ItemStack assemble(ClaimableRecipeWrapper inv, net.minecraft.core.RegistryAccess registries)

Specified by:
  `assemble` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### canCraftInDimensions

public boolean canCraftInDimensions(int width, int height)

Specified by:
  `canCraftInDimensions` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### getResultItem

public net.minecraft.world.item.ItemStack getResultItem(net.minecraft.core.RegistryAccess registries)

Specified by:
  `getResultItem` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### getId

public net.minecraft.resources.ResourceLocation getId()

Specified by:
  `getId` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### getSerializer

public net.minecraft.world.item.crafting.RecipeSerializer<?> getSerializer()

Specified by:
  `getSerializer` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### getType

public net.minecraft.world.item.crafting.RecipeType<?> getType()

Specified by:
  `getType` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### isSpecial

public boolean isSpecial()

Specified by:
  `isSpecial` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`

### getSpecificity

public int getSpecificity()

### getRemainingItems

public net.minecraft.core.NonNullList<net.minecraft.world.item.ItemStack> getRemainingItems(ClaimableRecipeWrapper inv)

Specified by:
  `getRemainingItems` in interface `net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>`